%global debug_package %nil

%global c_std	C++17

Name:		restinio
Summary:	RESTinio is a header-only %{c_std} library that gives you an embedded HTTP/Websocket server
Version:	0.7.2
Release:	%mkrel 4
License:	BSD
Group:		Development/C++
Url:		https://github.com/Stiffstream/restinio
Source0:	https://github.com/Stiffstream/restinio/releases/download/v.%{version}/restinio-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	cmake(catch2)
BuildRequires:	cmake(expected-lite)
BuildRequires:  cmake(fmt)
BuildRequires:	cmake(llhttp)
BuildRequires:	doxygen
BuildRequires:	asio-devel
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre2-devel
Provides:	restinio-devel = %{version}-%{release}
Requires:	asio-devel
Requires:	cmake(catch2)
Requires:	cmake(expected-lite)
Requires:	cmake(fmt)
Requires:	cmake(llhttp)
Requires:	pcre2-devel
Requires:	zlib-devel

%description
RESTinio is a header-only %{c_std} library that gives you an embedded HTTP/Websocket server. It
is based on standalone version of ASIO and targeted primarily for asynchronous processing of
HTTP-requests. Boost::ASIO is also supported.

%prep
%autosetup -p1

%build
%global _vpath_srcdir dev
%cmake \
    -DRESTINIO_TEST:BOOL=OFF \
    -DRESTINIO_SAMPLE:BOOL=OFF \
    -DRESTINIO_BENCHMARK:BOOL=OFF \
    -DRESTINIO_WITH_SOBJECTIZER:BOOL=OFF \
    -DRESTINIO_DEP_STANDALONE_ASIO:STRING="system" \
    -DRESTINIO_DEP_BOOST_ASIO:STRING="system" \
    -DRESTINIO_DEP_LLHTTP:STRING="system" \
    -DRESTINIO_DEP_FMT:STRING="system" \
    -DRESTINIO_DEP_EXPECTED_LITE:STRING="system" \
    -DRESTINIO_DEP_CATCH2:STRING="find" \
    -DRESTINIO_ASIO_SOURCE:STRING="standalone"

%cmake_build

pushd dev
   doxygen -u
   doxygen
popd

%install
%cmake_install

%files
%license LICENSE*
%doc README.md
%doc dev/doc/html
%{_includedir}/restinio/
%{_libdir}/cmake/restinio/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.7.2-4.mga10
+ Revision: 2228681
- Mageia 10 Mass Rebuild

* Sun Oct 06 2024 wally <wally> 0.7.2-3.mga10
+ Revision: 2103882
- really allow any fmt devel being installed

* Sun Oct 06 2024 wally <wally> 0.7.2-2.mga10
+ Revision: 2103878
- allow any fmt devel to be installed

* Sat Oct 05 2024 papoteur <papoteur> 0.7.2-1.mga10
+ Revision: 2103553
- new version 0.7.2

* Sat Jan 21 2023 wally <wally> 0.6.17-1.mga9
+ Revision: 1934665
- new version 0.6.17

* Thu Jul 28 2022 wally <wally> 0.6.16-1.mga9
+ Revision: 1872709
- new version 0.6.16

* Thu Mar 24 2022 umeabot <umeabot> 0.6.12-2.mga9
+ Revision: 1825474
- Mageia 9 Mass Rebuild

* Thu Dec 24 2020 wally <wally> 0.6.12-1.mga8
+ Revision: 1663475
- new version 0.6.12

* Wed Jul 08 2020 kekepower <kekepower> 0.6.8-2.mga8
+ Revision: 1603165
- Rebuild for fmt 7.0

* Sun May 24 2020 wally <wally> 0.6.8-1.mga8
+ Revision: 1587405
- imported package restinio

